GET /calls
Operation ID: findCalls
Auth: unknown
Description
To search for all calls sent or received by the user. Use "id=0" for the campaignId parameter to query for all calls sent through the POST /calls API. See [call states and results](https://developers.callfire.com/results-responses-errors.html)
Parameters (14)
(integer, query, optional)
An id of a contact batch, queries for calls of a particular contact batch
(integer, query, optional)
An id of a campaign, queries for calls included to a particular campaign. Specify null for all campaigns and 0 for default campaign
(string, query, optional)
Limit fields received in response. E.g. fields: id, name or fields items (id, name), see more at [partial response](https://developers.callfire.com/docs.html#partial-response) page.
(string, query, optional)
Phone number in E.164 format (11-digit) that call was from. Example: 12132000384
(array, query, optional)
Lists the Call ids to search for. If calls ids are specified then other query parameters can be ignored
(boolean, query, optional)
Filters inbound calls for "true" value and outbound calls for "false" value
(integer, query, optional)
Start of the find time interval, formatted in unix time milliseconds. Example: 1473781817000 for Sat, 05 Jan 1985 14:03:37 GMT
(integer, query, optional)
End of the find time interval, formatted in unix time milliseconds. Example: 1473781817000 for Sat, 05 Jan 1985 14:03:37 GMT
(string, query, optional)
A label for a specific call
(integer, query, optional, default: 100)
To set the maximum number of records to return in a paged list response. The default is 100
(integer, query, optional, default: 0)
Offset to the start of a given page. The default is 0. Check [pagination](https://developers.callfire.com/docs.html#pagination) page for more information about pagination in CallFire API.
(string, query, optional)
Searches for all calls with statuses listed in a comma separated string. Available values: SENT, RECEIVED, DNT, TOO_BIG, INTERNAL_ERROR, CARRIER_ERROR, CARRIER_TEMP_ERROR, UNDIALED. See [call states and results](https://developers.callfire.com/results-responses-errors.html)
(string, query, optional)
Searches for all calls which correspond to statuses listed in a comma separated string. Available values: READY, SELECTED, CALLBACK, FINISHED, DISABLED, DNC, DUP, INVALID, TIMEOUT, PERIOD_LIMIT. See [call states and results](https://developers.callfire.com/results-responses-errors.html)
(string, query, optional)
Phone number in E.164 format (11-digit) that call was sent to. Example: 12132000384
No probe data for this endpoint yet.